<template>
  <div class="home">
    <RoomList :channels="channels" @refresh="updateChannels" />
    <CreateRoom @refresh="updateChannels" />
  </div>
</template>

<script>
// @ is an alias to /src
import RoomList from "@/components/RoomList.vue";
import CreateRoom from "@/components/CreateRoom.vue";

export default {
  name: "Home",
  components: {
    RoomList,
    CreateRoom
  },
  data: function() {
    return {
      channels: []
    };
  },
  methods: {
    updateChannels: async function() {
      console.log("updateChannels()");

      const res = await fetch("http://localhost:3000/channels/getAll");
      this.channels = await res.json();
    }
  },
  mounted: function() {
    console.log("mounted");
    this.updateChannels();
  }
};
</script>
